local cm,m=GetID()
local list={120290037,120290038}
cm.name="饶有情趣的菓子发置"
function cm.initial_effect(c)
	RD.AddCodeList(c,list)
	--Activate
	local e1=RD.CreateRitualEffect(c,RITUAL_LEVEL_GREATER,cm.matfilter,cm.spfilter)
	e1:SetCategory(CATEGORY_SPECIAL_SUMMON)
	e1:SetType(EFFECT_TYPE_ACTIVATE)
	e1:SetCode(EVENT_FREE_CHAIN)
	c:RegisterEffect(e1)
end
--Activate
function cm.matfilter(c)
	return c:IsAttribute(ATTRIBUTE_LIGHT) and c:IsRace(RACE_AQUA)
		and (c:IsOnField() or not c:IsType(TYPE_EFFECT))
end
function cm.spfilter(c)
	return c:IsCode(list[1],list[2])
end